Page MenuHomePhabricator

Create #MediaWiki-Blocks component
Closed, ResolvedPublic

Description

A component for blocks in mediawiki core should be created, covering:

  • Classes representing blocks (AbstractBlock, DatabaseBlock, CompositeBlock) and restrictions, including BlockRestrictionStore
  • BlockManager / BlockErrorFormatter
  • ApiBlock / ApiUnblock
  • ApiBlockInfoTrait?
  • SpecialBlock / SpecialUnblock
  • ApiQueryBlocks? / SpecialBlockList?

This would move tasks out of MediaWiki-User-management (User blocking column) and MediaWiki-General

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptApr 16 2020, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 moved this task from Incoming to Projects to create on the Project-Admins board.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.

Who would be helped by this?

As I understand it, the permissions and block subsystems (User rights, User blocks) are both looked after by the same team (Anti-Harrasment Team, AHT). So this might be convenient for them as-is.

I don't know if they currently triage the User-management workboard, or, if splitting User-blocks to be separate that it would make it more likely to be triaged?

Krinkle added a comment.EditedApr 16 2020, 7:47 PM

Also, if they would triage this as a whole, then perhaps it makes sense to evolve mediawiki-partial-blocks into mediawiki-user-blocks and move the existing tasks to a column for "Partial blocks" given that "Partial blocks" isn't a separate system.

DannyS712 added a subscriber: Niharika.

Also, if they would triage this as a whole, then perhaps it makes sense to evolve mediawiki-partial-blocks into mediawiki-user-blocks and move the existing tasks to a column for "Partial blocks" given that "Partial blocks" isn't a separate system.

That would probably make more sense that having two separate projects

Tagging Anti-Harassment team to take a look - @Niharika thoughts on splitting blocks out of user management?

Anti-Harassment team does not own the block feature - See T202673#4933221

Niharika added a subscriber: Tchanders.EditedApr 19 2020, 5:16 AM

@DannyS712 I created MediaWiki-Blocks not too long ago to keep track of Anti-Harassment team's work on blocks. @Bugreporter is correct that we do not own all of Blocks. However currently our team is the one that has worked on Blocks the most in the recent history.
At the moment I do not keep an eye on the MediaWiki-User-management board.
I appreciate ideas to improve the general organization here.
@Tchanders do you have thoughts on this?

aezell added a subscriber: aezell.Apr 20 2020, 5:59 PM

I think the Partial Blocks project that @Niharika created is what's useful to our team. As she said, we do not own all of Blocks but we do have an expertise in it. We also have a desire to help others contribute to the patterns that we tried to introduce in the code.

One viewpoint that I think is missing is that many admins are interested in the Blocks work (in all its forms). They are not as interested in the other work currently kept under the user management project. To that end, this feature has an audience that is quite specific and attentive. So, maybe giving Blocks their own project makes sense.

I agree that it would be useful to have a separate project for blocks. The 'User blocking' column in MediaWiki-User-management is the largest, and it's an active area of ongoing development. Blocking is firmly in AHT's domain, but user rights less so.

I agree with @Krinkle that it would make sense to have a mediawiki-user-blocks project with a partial blocks column that would hold AHT's upcoming partial blocks work. Partial blocks isn't really a separate system from blocks in general, and working on partial blocks generally means working on the parts of MediaWiki outlined in the task description. It would make sense for all of that work to be found in the same place, to avoid conflicts, keep everyone informed, etc.

(There is some code that lives in includes/block/Restriction that only concerns partial blocks, but the majority of our partial blocks work has happened outside of this. It has largely been solving general blocking bugs (e.g. T222246, T210953, T214716) and updating general blocking features (e.g. T191549, T210002, T208510, T246293). Future feature-work (e.g. T242541, T208509) would also heavily affect general blocking classes such as SpecialBlock.)

I am happy with renaming MediaWiki-Blocks to #mediawiki-user-blocks and moving the partial blocks tasks to a separate column. Does that sound like a good solution?

I am happy with renaming MediaWiki-Blocks to #mediawiki-user-blocks and moving the partial blocks tasks to a separate column. Does that sound like a good solution?

Yes; {{doing}}

So I just went through and created it, and removed MediaWiki-User-management from the tasks in favor of MediaWiki-Blocks, but {H361} added it back :( - @Aklapper or someone else who has the power, can you disable H361?

Sure, I have disabled H361 now

Sure, I have disabled H361 now

If you have the ability to silence notifications on your batch edits, can you do so and remove user-management from all of the blocks tasks? If not I can, just don't want people to get notified a second time

@DannyS712: I made a silent mass-edit and removed MediaWiki-User-management from 80 tickets under MediaWiki-Blocks.

DannyS712 closed this task as Resolved.Apr 27 2020, 5:45 AM
dmaza added a subscriber: dmaza.Apr 27 2020, 2:13 PM

@DannyS712 @Aklapper, thank you for this!

@DannyS712 @Aklapper, thank you for this!

+1. Thanks y'all! This makes life easier.